%define upstream_name    File-Sync
%define upstream_version 0.09

Name:      perl-%{upstream_name}
Version:   %perl_convert_version %{upstream_version}
Release:   %mkrel 1

Summary:   Perl access to fsync() and sync() function calls
license:   Artistic
Group:     Development/Perl
Url:       http://search.cpan.org/dist/%{upstream_name}
Source0:   http://search.cpan.org//CPAN/authors/id/C/CE/CEVANS/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires: perl-devel
buildroot: %{_tmppath}/%{name}-%{version}-%{release}


%description
The fsync() function takes a Perl file handle as its only argument, and
passes its fileno() to the C function fsync().  It returns I<undef> on
failure, or I<true> on success.

The fsync_fd() function is used internally by fsync(); it takes a file
descriptor as its only argument.

The sync() function is identical to the C function sync().

This module does B<not> export any methods by default, but fsync() is
made available as a method of the I<FileHandle> and I<IO::Handle>
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorarch}/File
%{perl_vendorarch}/auto/File
%{_mandir}/man3/*


%changelog
* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 401660
- rebuild using %%perl_convert_version
- fixed license field

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09-8mdv2009.0
+ Revision: 257016
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.09-6mdv2008.1
+ Revision: 151424
- rebuild for perl-5.10.0

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-5mdv2008.1
+ Revision: 137999
- spec cleanup

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.09-4mdk
- Buildrequires fix

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.09-3mdk
- Fix url

* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.09-2mdk
- drop arch restriction

* Sun Mar 27 2005 Bruno Cornec <bcornec@mandrake.org> 0.09-1mdk
- Initial build.

